


# Backups

![](https://pbs.twimg.com/media/C8QMRVoWsAAX8W6.jpg)

## Warum/Wofür Backups?

- Vermeidung von Datenverlust
- Festplatten haben begrenzte Lebensdauer

# Backup-Strategien

## Händisch erstellte Kopien auf Speichermedien

## Vollständige / Differenzielle / Inkrementelle Backups

## Inkrementell

![](http://eris.cc/backup-differential-incremental.jpg)

## Differentiell

![](http://eris.cc/backup-cumulative-incremental.jpg)

## FIFO / Großvater-Vater-Sohn / Türme von Hanoi

## FIFO

- First In First Out

## Großvater-Vater-Sohn

![](http://eris.cc/grandfather-father-son.png)

## Türme von Hanoi

![](http://eris.cc/hanoi.png)

# Backup-Tools

## Windows 10 

![](http://eris.cc/adddrive.png)

## ![](http://eris.cc/overview.png)

## ![](http://eris.cc/folders.png)

## ![](http://eris.cc/exclude.png)

## Windows 7

![](http://eris.cc/backup1.jpg)

## ![](http://eris.cc/backup2.jpg)

## ![](http://eris.cc/backup3.jpg)

## ![](http://eris.cc/backup4.jpg)

## ![](http://eris.cc/backup5.png)

## ![](http://eris.cc/backup6.png)

## macOS
- Time Machine

## Linux
- rsync (Kommandozeile)
- borg
- BackupPC (Webfrontend, Serverbasiert)
- von Hand: /home Ordner sichern

## Android
- micro SD Karte händisch sichern
- Titanium Backup
- NAND Backup

## iOS
- iTunes

## Eins für (fast) Alles
- BorgBackup (Attic-Fork mit Deduplizierung etc.) 
- Für Linux, macOS, diverse BSD

# Hardware

## Eine USB-Festplatte
- Einfach...
- ... aber problematisch
- "Hör bloß auf, ich hab die ganze Firma an einer USB Platte hängen. Das darfst du keinem erzählen..."

## NAS
- RaspberryPi mit angesteckter Festplatte
- Diverse Fertiglösungen (Synology usw.)
- Ideal: Mehrere Platten im RAID

## Cloud

# Fallstricke

## Was kann schon schief gehen?

- Backups regelmäßig prüfen
- Backup nicht am Livesystem lassen
- Backup auf separatem Datenträger
- Backup auf räumlich getrennten Datenträgern
- Backup immer verschlüsseln

# Fragen?

# Feedback?

# Build

## Build
```
git clone https://github.com/hakimel/reveal.js
curl https://pads.chaospott.de/p/backup_cp/export/txt > vortrag.md
pandoc --slide-level 2 --variable theme=black --variable transition=slide --variable writerHtml5=True -i -s -o slides.html --template=default.revealjs --variable controls=true --variable history=true -t revealjs vortrag.md
```
